> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List insight members

> List organization members included in pull request insights.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/insights/members
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/insights/members:
    get:
      tags:
        - Insights
      summary: List insight members
      description: List organization members included in pull request insights.
      operationId: listInsightMembers
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            format: uuid
        - in: query
          name: limit
          schema:
            type: string
            pattern: ^\d+$
            default: '50'
      responses:
        '200':
          description: List insight members
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        provider:
                          type: string
                        username:
                          type: string
                        name:
                          type:
                            - string
                            - 'null'
                        avatarUrl:
                          type: string
                        prsCreated:
                          type: integer
                        prsMerged:
                          type: integer
                        temboContribution:
                          type: number
                      required:
                        - provider
                        - username
                        - name
                        - avatarUrl
                        - prsCreated
                        - prsMerged
                        - temboContribution
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                    format: uuid
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Insight operation conflicts with its current state
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Insight operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````